%bcond_with doc

Summary:    Wayland forwarding proxy
Name:        waypipe
Version:    0.8.4
Release:    6%{?dist}
License:    MIT
URL:        https://gitlab.freedesktop.org/mstoeckl/%{name}
Source0:    %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz
Source1:    waypipe.1

BuildRequires: gcc meson pkgconfig(gbm) pkgconfig(libdrm) pkgconfig(liblz4) pkgconfig(wayland-server)
BuildRequires: pkgconfig(libzstd) pkgconfig(libva) pkgconfig(wayland-protocols) pkgconfig(wayland-client)
%if %{with doc}
BuildRequires: scdoc
%endif

%description
Waypipe is a proxy for Wayland clients. It forwards Wayland messages and serializes changes to
shared memory buffers over a single socket. This makes application forwarding similar to "ssh -X" feasible.

%prep
%autosetup -n %{name}-v%{version}

%build
%meson \
    -Dwith_video=disabled \
    -Dwerror=false \
%if %{without doc}
    -Dman-pages=disabled \
%endif
    %{nil}
%meson_build

%install
%meson_install
install -Dm 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/waypipe.1

%check
%meson_test

%files
%license COPYING
%doc CONTRIBUTING.md README.md
%{_bindir}/waypipe
%{_mandir}/man1/waypipe.1*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.4-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.4-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Wang Guodong <gordonwwang@tencent.com> - 0.8.4-4
- Rebuilt for libva 2.19.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Shuo Wang <abushwang@tencent.com> - 0.8.4-1
- initial build
